
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_offerpricers_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for BaggageDisclosureRuleTypeContentType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="BaggageDisclosureRuleTypeContentType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="D"/&amp;gt;
 *     &amp;lt;enumeration value="N"/&amp;gt;
 *     &amp;lt;enumeration value="Y"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "BaggageDisclosureRuleTypeContentType")
@XmlEnum
public enum BaggageDisclosureRuleTypeContentType {


    /**
     * Disclosure with no US DOT Reservation
     * 
     */
    D("D"),

    /**
     * No Disclosure or US DOT Reservation
     * 
     */
    N("N"),

    /**
     * Disclosure and US DOT Reservation
     * 
     */
    Y("Y"),

    /**
     * Other
     * 
     */
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    BaggageDisclosureRuleTypeContentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BaggageDisclosureRuleTypeContentType fromValue(String v) {
        for (BaggageDisclosureRuleTypeContentType c: BaggageDisclosureRuleTypeContentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
